-- by "Marhu" 
-- v 2.0
-- Date: 11.05.2013
-- Register MixerWagonBaleGrab in MixerWagon

SpecializationUtil.registerSpecialization("MixerWagonBaleGrab", "MixerWagonBaleGrab", g_modsDirectory.."/MixerWagonBaleGrab/core.lua")

MixerWagonBaleGrab_Register = {};

function MixerWagonBaleGrab_Register:loadMap(name)
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		if SpecializationUtil.hasSpecialization(MixerWagon, v.specializations)then 
			if not SpecializationUtil.hasSpecialization(MixerWagonBaleGrab, v.specializations) then
				table.insert(v.specializations, SpecializationUtil.getSpecialization("MixerWagonBaleGrab"));
			end
		end;
	end;
	MixerWagonBaleGrab.L = {}
	MixerWagonBaleGrab.L["GrabSilageBale"] = g_i18n:getText("GrabSilageBale")
	MixerWagonBaleGrab.L["GrabStrawBale"] = g_i18n:getText("GrabStrawBale")
	MixerWagonBaleGrab.L["GrabGrassBale"] = g_i18n:getText("GrabGrassBale")
	MixerWagonBaleGrab.L["MixerWagonfull"] = g_i18n:getText("MixerWagonfull")
	MixerWagonBaleGrab.L["notFindBale"] = g_i18n:getText("notFindBale")
end;
function MixerWagonBaleGrab_Register:deleteMap()
end;
function MixerWagonBaleGrab_Register:mouseEvent(posX, posY, isDown, isUp, button)
end;
function MixerWagonBaleGrab_Register:keyEvent(unicode, sym, modifier, isDown)
end;
function MixerWagonBaleGrab_Register:update(dt)
end;
function MixerWagonBaleGrab_Register:draw()
end;
addModEventListener(MixerWagonBaleGrab_Register);